This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 754732 - Bind options (E.g. -4) /etc/sysconfig/sshd is not longer honored in f16 / systemd. (Patch attached)
Bind options (E.g. -4) /etc/sysconfig/sshd is not longer honored in f16 / sys...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan F. Chadima
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-17 10:21 EST by Gilboa Davara
Modified: 2011-11-20 18:57 EST (History)
5 users (show)

See Also:
Fixed In Version: openssh-5.8p2-21.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-20 18:57:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Sample SSHD options support patch. (565 bytes, patch)
2011-11-17 10:21 EST, Gilboa Davara
no flags Details | Diff

  None (edit)
Description Gilboa Davara 2011-11-17 10:21:35 EST
Created attachment 534213 [details]
Sample SSHD options support patch.

Description of problem:
Due to security concerns, I've disabled IPv6 on all my workstations.
Due to bug https://bugzilla.redhat.com/show_bug.cgi?id=735889 I must force sshd to bind only to IPv4 in-order to enable X-forwarding.
In F15 adding OPTIONS=-4 to /etc/sysconfig/sshd was enough to disable IPv6 bind.
This OPTIONS support was dropped from the systemd file.

Version-Release number of selected component (if applicable):
openssh-server-5.8p2-16.fc16.1.x86_64
Comment 1 Fedora Update System 2011-11-18 04:40:26 EST
openssh-5.8p2-21.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openssh-5.8p2-21.fc16
Comment 2 Gilboa Davara 2011-11-18 15:43:24 EST
Tested the koji build and it seems to work just fine. Thanks.
Comment 3 Fedora Update System 2011-11-19 01:07:05 EST
Package openssh-5.8p2-21.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openssh-5.8p2-21.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16144/openssh-5.8p2-21.fc16
then log in and leave karma (feedback).
Comment 4 Gilboa Davara 2011-11-19 04:32:36 EST
Karma added.
Comment 5 Fedora Update System 2011-11-20 18:57:10 EST
openssh-5.8p2-21.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.